package com.bonus.canteen.core.customer.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@TableName("cust_addr")
@ApiModel("地址信息表")
@Data
public class CustAddr extends Model<CustAddr> {
   private static final long serialVersionUID = 1L;
   @TableId(value = "id", type = IdType.AUTO)
   @ApiModelProperty("主键自增")
   private Long id;
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("地址id")
   private Long addrId;
   @ApiModelProperty("人员姓名")
   private String custName;
   @ApiModelProperty("手机号")
   private String mobile;
   @ApiModelProperty("地区代码 国家统一地区代码,到县级别")
   private String areaCode;
   @ApiModelProperty("详细地址")
   private String detailAddr;
   @ApiModelProperty("地址全称")
   private String addrFullName;
   @ApiModelProperty("openid")
   private String openid;
   @ApiModelProperty("来源类型 1-钉钉 2-微信 3-小程序")
   private Integer sourceType;
   @ApiModelProperty("是否默认 1-是，2-否")
   private Integer ifDefault;
   @ApiModelProperty("是否删除 1-是，2-否")
   private Integer ifDel;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;
   @ApiModelProperty("位置id")
   private Long placeId;

   public Long getId() {
      return this.id;
   }

   public Long getCustId() {
      return this.custId;
   }

   public Long getAddrId() {
      return this.addrId;
   }

   public String getCustName() {
      return this.custName;
   }

   public String getMobile() {
      return this.mobile;
   }

   public String getAreaCode() {
      return this.areaCode;
   }

   public String getDetailAddr() {
      return this.detailAddr;
   }

   public String getAddrFullName() {
      return this.addrFullName;
   }

   public String getOpenid() {
      return this.openid;
   }

   public Integer getSourceType() {
      return this.sourceType;
   }

   public Integer getIfDefault() {
      return this.ifDefault;
   }

   public Integer getIfDel() {
      return this.ifDel;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public Long getPlaceId() {
      return this.placeId;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setAddrId(final Long addrId) {
      this.addrId = addrId;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setMobile(final String mobile) {
      this.mobile = mobile;
   }

   public void setAreaCode(final String areaCode) {
      this.areaCode = areaCode;
   }

   public void setDetailAddr(final String detailAddr) {
      this.detailAddr = detailAddr;
   }

   public void setAddrFullName(final String addrFullName) {
      this.addrFullName = addrFullName;
   }

   public void setOpenid(final String openid) {
      this.openid = openid;
   }

   public void setSourceType(final Integer sourceType) {
      this.sourceType = sourceType;
   }

   public void setIfDefault(final Integer ifDefault) {
      this.ifDefault = ifDefault;
   }

   public void setIfDel(final Integer ifDel) {
      this.ifDel = ifDel;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setPlaceId(final Long placeId) {
      this.placeId = placeId;
   }




}
